# Command: testsuite::test_fail

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_fail - test if SLI returns exit code 126 when executing a file with unhandled errors.

Synopsis:

    (test_fail) run ->

Description:

      This script provokes an error that is not handled by any user error
      handler. It is used to test if SLI quits with exit code 126 after
      executing a file that contains errors.

Remarks:

      Yes, this script is really meant to fail!

Author:

    Ruediger Kupper

FirstVersion:

    03-jul-2008

SeeAlso:

- testsuite::test_pass
- testsuite::test_fail
- testsuite::test_stop
- testsuite::test_goodhandler
- testsuite::test_lazyhandler
- testsuite::test_badhandler

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/testsuite/selftests/test_fail.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative